# Interface IQueueStrategy

interface IQueueStrategy {
order: IpfsContentSource[];
settings: QueueSettings;
getNextSource(source: IpfsContentSource): IpfsContentSource;
}

#### Implemented by

- QueueStrategy

- Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/types.ts:23

#####
Index

### Properties

order
settings

### Methods

getNextSource

##
Properties

### order

order: IpfsContentSource[]

- Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/types.ts:25

### settings

settings: QueueSettings

- Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/types.ts:24

##
Methods

### getNextSource

- getNextSource(source): IpfsContentSource

- #### Parameters

  - source: IpfsContentSource

  #### Returns IpfsContentSource

  - Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/types.ts:26